RESTinio

Public Types | List of all members
restinio::router::easy_parser_router::impl::dsl_details::result_tuple_detector< From< Sources... >, To< Results... > > Struct Template Reference

`#include <easy_parser_router.hpp>`

## Public Types
using | type = typename result_tuple_detector< meta::tail_of_t< Sources... >, typename add_type_if_necessary< meta::head_of_t< Sources... >, To< Results... > >::type >::type

## Detailed Description

template<template< class... > class From, typename... Sources, template< class... > class To, typename... Results>
struct restinio::router::easy_parser_router::impl::dsl_details::result_tuple_detector< From< Sources... >, To< Results... > >

Definition at line 333 of file easy_parser_router.hpp.

## Member Typedef Documentation

## ◆ type

template<template< class... > class From, typename... Sources, template< class... > class To, typename... Results>

using restinio::router::easy_parser_router::impl::dsl_details::result_tuple_detector< From< Sources... >, To< Results... > >::type = typename result_tuple_detector< meta::tail_of_t< Sources... >, typename add_type_if_necessary< meta::head_of_t< Sources... >, To< Results... > >::type >::type

Definition at line 335 of file easy_parser_router.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/easy_parser_router.hpp